XOSD(1)

NAME
osd_cat - X on-screen file displayer

SYNOPSIS
osd_cat [OPTION] [FILE]...
osd_cat -b percentage|slider [OPTION]

DESCRIPTION

Display FILE, or standard input, on X screen.

-p, --pos=POS
    This option tells osd_cat where to display the text. POS can be top, middle, or bottom. The default is top.

-o, --offset=OFFSET
    This option specifies the offset from the top or bottom of screen the text is displayed. The default is 0.

-A, --align=ALIGN
    This option tells osd_cat where to display the text. ALIGN can be left, right or center. The default is left.

-i, --indent=OFFSET
    This option specifies the INDENT from the left of screen the text is displayed. The default is 0.

-f, --font=FONT
    This option specifies the FONT to be used for displaying the text. The default is fixed.

-c, --color=COLOR
    This option specifies the COLOR to be used for displaying the text. The default is red.

-d, --delay=TIME
    This option specifies the number of seconds the text is displayed. The default is 5 seconds.

-l, --lines=LINES
    This option specifies the number of LINES to scroll the display over. The default is 5.

-s, --shadow=OFFSET
    This option specifies the OFFSET of the text shadow. The default is 0, which means no text shadow is created.

-S, --shadowcolour=COLOUR
    This option specifies the COLOUR of the text shadow. The default is black.

-O, --outline=WIDTH
    This option specifies the WIDTH of the text outline. The default is 0, which is no outline.

-u, --outlinecolour=COLOUR
    This option specifies the COLOUR of the text outline. The default is black.

-a, --age[=SCROLL_AGE]
    This option affects screen redrawing. If SCROLL_AGE seconds pass before a new line is ready (for example, you're reading from a pipe), all lines are cleared at once instead of being scrolled off as new lines replace old lines. The default is 0.
    When no SCROLL_AGE is explicitly given, the current value from DELAY is used.

-w, --wait
    This option also affects screen redrawing. When there is data ready to be put on screen, this option will cause osd_cat to wait until the display is clear. An alternative to scrolling.

-b, --barmode=TYPE
    Lets you display a percentage or slider bar instead of just text. TYPE may be percentage or slider. In this mode no text is read from any file, but the following options can be used:

-P, --percentage=PERCENTAGE
    This option specified the position of the percentage / slider bar. PERCENTAGE may be in the range from 0 to 100, the default is 50.

-T, --text=TEXT
    This option specifies an optional TEXT which gets displayed above the percentage bar. The default is empty, so no additional text is displayed.

-h, --help
    display help (which is often more up to date) and exit

With no FILE, or when FILE is -, read standard input.

AUTHOR
Martijn van de Streek <martijn@foodfight.org>, Some patching done by Malcolm Valentine <farkit@iprimus.com.au> and Tim Wright <tim@ignavus.net>.
xosd was written by Andre Renaud <andre@ignavus.net> and is maintained by Tim Wright <tim@ignavus.net>

SEE ALSO
More information on the X OSD Library and its author can be found on http://www.ignavus.net/software.html (http://www.ignavus.net/software.html)

COPYRIGHT
It is distributed under the GNU General Public License.